Skip to main content
`Ctrl`+`K`

# SNESFASSetGalerkin

Sets coarse problems as formed by projection to the fine problem

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASSetGalerkin(SNES snes, PetscBool flg)

Logically Collective

## Input Parameters

- snes - the `SNESFAS` nonlinear solver context

- flg - `PETSC_TRUE` to use the projection process

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESFAS`, `SNESFASSetLevels()`, `SNESFASGetGalerkin()`

## Level

advanced

## Location

src/snes/impls/fas/fasgalerkin.c

Index of all SNESFAS routines
Table of Contents for all manual pages
Index of all manual pages